Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/BoolValueView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/BoolValueView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/BoolValueView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/BoolValueView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/BoolValueView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/BoolValueView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/ColumnsVisibilityDialog.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/ColumnsVisibilityDialog.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/ColumnsVisibilityDialog.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/ColumnsVisibilityDialog.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/ColumnsVisibilityDialog.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/ColumnsVisibilityDialog.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/ComparisonView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/ComparisonView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/ComparisonView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/ComparisonView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/ComparisonView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/ComparisonView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/DoubleRangeView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/DoubleRangeView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/DoubleRangeView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/DoubleRangeView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/DoubleRangeView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/DoubleRangeView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/EnhancedStringConvertibleMatrixView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/EnhancedStringConvertibleMatrixView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/EnhancedStringConvertibleMatrixView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/EnhancedStringConvertibleMatrixView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/EnhancedStringConvertibleMatrixView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/EnhancedStringConvertibleMatrixView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/HeuristicLab.Data.Views-3.3.csproj
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/HeuristicLab.Data.Views-3.3.csproj	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/HeuristicLab.Data.Views-3.3.csproj	(revision 11203)
@@ -133,22 +133,4 @@
       <DependentUpon>IntRangeView.cs</DependentUpon>
     </Compile>
-    <Compile Include="Path Views\DirectoryValueView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Path Views\DirectoryValueView.Designer.cs">
-      <DependentUpon>DirectoryValueView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Path Views\FileValueView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Path Views\FileValueView.Designer.cs">
-      <DependentUpon>FileValueView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="Path Views\TextFileView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="Path Views\TextFileView.Designer.cs">
-      <DependentUpon>TextFileView.cs</DependentUpon>
-    </Compile>
     <Compile Include="Plugin.cs" />
     <Compile Include="StringConvertibleMatrixColumnVisibilityDialog.cs">
@@ -214,9 +196,4 @@
   </ItemGroup>
   <ItemGroup>
-    <ProjectReference Include="..\..\HeuristicLab.Common.Resources\3.3\HeuristicLab.Common.Resources-3.3.csproj">
-      <Project>{0e27a536-1c4a-4624-a65e-dc4f4f23e3e1}</Project>
-      <Name>HeuristicLab.Common.Resources-3.3</Name>
-      <Private>False</Private>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Common\3.3\HeuristicLab.Common-3.3.csproj">
       <Project>{A9AD58B9-3EF9-4CC1-97E5-8D909039FF5C}</Project>
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/IntRangeView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/IntRangeView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/IntRangeView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/IntRangeView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/IntRangeView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/IntRangeView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/Plugin.cs.frame
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/Plugin.cs.frame	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/Plugin.cs.frame	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,8 +29,7 @@
   /// Plugin class for HeuristicLab.Data.Views plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Data.Views", "3.3.10.$WCREV$")]
+  [Plugin("HeuristicLab.Data.Views", "3.3.7.$WCREV$")]
   [PluginFile("HeuristicLab.Data.Views-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Common", "3.3")]
-  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
   [PluginDependency("HeuristicLab.Core", "3.3")]
   [PluginDependency("HeuristicLab.Core.Views", "3.3")]
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/Properties/AssemblyInfo.cs.frame	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2014 HEAL")]
+[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,3 +54,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.10.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.7.$WCREV$")]
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleArrayView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -53,5 +53,4 @@
 
     protected override void DeregisterContentEvents() {
-      Content.ElementNamesChanged -= new EventHandler(Content_ElementNamesChanged);
       Content.ItemChanged -= new EventHandler<EventArgs<int>>(Content_ItemChanged);
       Content.Reset -= new EventHandler(Content_Reset);
@@ -63,5 +62,4 @@
       Content.ItemChanged += new EventHandler<EventArgs<int>>(Content_ItemChanged);
       Content.Reset += new EventHandler(Content_Reset);
-      Content.ElementNamesChanged += new EventHandler(Content_ElementNamesChanged);
     }
 
@@ -98,25 +96,5 @@
         dataGridView.Columns[0].Width = dataGridView.Columns[0].GetPreferredWidth(DataGridViewAutoSizeColumnMode.AllCells, true);
       }
-      UpdateRowHeaders();
-      dataGridView.AutoResizeRowHeadersWidth(DataGridViewRowHeadersWidthSizeMode.AutoSizeToDisplayedHeaders);
       dataGridView.Enabled = true;
-    }
-
-    protected virtual void UpdateRowHeaders() {
-      int i = 0;
-      foreach (string elementName in Content.ElementNames) {
-        dataGridView.Rows[i].HeaderCell.Value = elementName;
-        i++;
-      }
-      for (; i < dataGridView.RowCount; i++) {
-        dataGridView.Rows[i].HeaderCell.Value = string.Empty;
-      }
-    }
-
-    private void Content_ElementNamesChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(Content_ElementNamesChanged), sender, e);
-      else
-        UpdateRowHeaders();
     }
 
@@ -125,7 +103,4 @@
         Invoke(new EventHandler<EventArgs<int>>(Content_ItemChanged), sender, e);
       else {
-        // if a resize of the array occurs and some other class handles the event and provides default values
-        //then the itemChanged will occur before the reset event. hence the check was added
-        if (dataGridView.RowCount <= e.Value) return;
         dataGridView.Rows[e.Value].Cells[0].Value = Content.GetValue(e.Value);
         Size size = dataGridView.Rows[e.Value].Cells[0].PreferredSize;
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixColumnVisibilityDialog.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixColumnVisibilityDialog.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixColumnVisibilityDialog.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixColumnVisibilityDialog.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixColumnVisibilityDialog.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixColumnVisibilityDialog.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixRowVisibilityDialog.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixRowVisibilityDialog.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixRowVisibilityDialog.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixRowVisibilityDialog.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixRowVisibilityDialog.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixRowVisibilityDialog.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -36,5 +36,5 @@
   public partial class StringConvertibleMatrixView : AsynchronousContentView {
     protected int[] virtualRowIndices;
-    protected List<KeyValuePair<int, SortOrder>> sortedColumnIndices;
+    private List<KeyValuePair<int, SortOrder>> sortedColumnIndices;
     private RowComparer rowComparer;
 
@@ -261,5 +261,5 @@
 
     #region DataGridView Events
-    protected virtual void dataGridView_CellValidating(object sender, DataGridViewCellValidatingEventArgs e) {
+    private void dataGridView_CellValidating(object sender, DataGridViewCellValidatingEventArgs e) {
       if (!dataGridView.ReadOnly) {
         string errorMessage;
@@ -270,5 +270,5 @@
       }
     }
-    protected virtual void dataGridView_CellParsing(object sender, DataGridViewCellParsingEventArgs e) {
+    private void dataGridView_CellParsing(object sender, DataGridViewCellParsingEventArgs e) {
       if (!dataGridView.ReadOnly) {
         string value = e.Value.ToString();
@@ -340,6 +340,4 @@
 
       for (int i = minRowIndex; i <= maxRowIndex; i++) {
-        if (!dataGridView.Rows[i].Visible) continue;
-
         int rowIndex = this.virtualRowIndices[i];
         if (addRowNames) {
@@ -364,5 +362,5 @@
     }
 
-    protected virtual void PasteValuesToDataGridView() {
+    private void PasteValuesToDataGridView() {
       string[,] values = SplitClipboardString(Clipboard.GetText());
       int rowIndex = 0;
@@ -432,5 +430,5 @@
     }
 
-    protected void Sort() {
+    private void Sort() {
       virtualRowIndices = Sort(sortedColumnIndices);
       UpdateSortGlyph();
@@ -517,5 +515,4 @@
     protected virtual void ShowHideColumns_Click(object sender, EventArgs e) {
       new StringConvertibleMatrixColumnVisibilityDialog(this.dataGridView.Columns.Cast<DataGridViewColumn>()).ShowDialog();
-      columnsTextBox.Text = dataGridView.Columns.GetColumnCount(DataGridViewElementStates.Visible).ToString();
     }
 
@@ -542,5 +539,5 @@
     }
 
-    protected virtual void dataGridView_SelectionChanged(object sender, EventArgs e) {
+    private void dataGridView_SelectionChanged(object sender, EventArgs e) {
       string stringFormat = "{0,20:0.0000}";
       statisticsTextBox.Text = string.Empty;
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixVisibilityDialog.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixVisibilityDialog.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixVisibilityDialog.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixVisibilityDialog.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixVisibilityDialog.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleMatrixVisibilityDialog.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueTupleView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueTupleView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueTupleView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueTupleView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueTupleView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueTupleView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.Designer.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.Designer.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.Designer.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -124,8 +124,8 @@
     #endregion
 
-    protected System.Windows.Forms.TextBox valueTextBox;
-    protected System.Windows.Forms.ErrorProvider errorProvider;
-    protected System.Windows.Forms.Label valueLabel;
-    protected System.Windows.Forms.SplitContainer splitContainer;
+    private System.Windows.Forms.TextBox valueTextBox;
+    private System.Windows.Forms.ErrorProvider errorProvider;
+    private System.Windows.Forms.Label valueLabel;
+    private System.Windows.Forms.SplitContainer splitContainer;
   }
 }
Index: branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.cs
===================================================================
--- branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.cs	(revision 11202)
+++ branches/HiveStatistics/sources/HeuristicLab.Data.Views/3.3/StringConvertibleValueView.cs	(revision 11203)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -78,5 +78,5 @@
     }
 
-    protected virtual void Content_ValueChanged(object sender, EventArgs e) {
+    private void Content_ValueChanged(object sender, EventArgs e) {
       if (InvokeRequired)
         Invoke(new EventHandler(Content_ValueChanged), sender, e);
@@ -85,5 +85,5 @@
     }
 
-    protected virtual void valueTextBox_KeyDown(object sender, KeyEventArgs e) {
+    private void valueTextBox_KeyDown(object sender, KeyEventArgs e) {
       if ((e.KeyCode == Keys.Enter) || (e.KeyCode == Keys.Return))
         valueLabel.Select();  // select label to validate data
@@ -94,5 +94,5 @@
       }
     }
-    protected virtual void valueTextBox_Validating(object sender, CancelEventArgs e) {
+    private void valueTextBox_Validating(object sender, CancelEventArgs e) {
       if (ReadOnly) return;
       string errorMessage;
@@ -103,5 +103,5 @@
       }
     }
-    protected virtual void valueTextBox_Validated(object sender, EventArgs e) {
+    private void valueTextBox_Validated(object sender, EventArgs e) {
       if (ReadOnly) return;
       if (!Content.ReadOnly) Content.SetValue(valueTextBox.Text);
